InitWindowFrags = class(Turbine.UI.Lotro.Window)

function InitWindowFrags:Constructor()
	local width = 200
	local height = 135
	local x = Turbine.UI.Display:GetWidth() / 2 - width / 2
	local y = Turbine.UI.Display:GetHeight() / 2 - height / 2

	Turbine.UI.Lotro.Window.Constructor(self)

	self:SetSize(width, height)
	self:SetPosition(x, y)
	self:SetZOrder(2)
	self:SetText(L.Tab_KillingBlows)
	self:SetWantsKeyEvents(true)

	self.label_frags = Turbine.UI.Label()
	self.label_frags:SetParent(self)
	self.label_frags:SetSize(width - 40, 30)
	self.label_frags:SetForeColor(Default_Font_Color)
	self.label_frags:SetPosition(width / 2 - self.label_frags:GetWidth() / 2, 35)
	self.label_frags:SetFont(Turbine.UI.Lotro.Font.TrajanPro15)
	self.label_frags:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter)
	self.label_frags:SetText(L.Init_Frags)

	self.textbox_frags = Turbine.UI.Lotro.TextBox()
	self.textbox_frags:SetParent(self)
	self.textbox_frags:SetSize(width - 40, 20)
	self.textbox_frags:SetText(data.numbers.frags_total)
	self.textbox_frags:SetForeColor(Default_Font_Color)
	self.textbox_frags:SetFont(Turbine.UI.Lotro.Font.TrajanPro15)
	self.textbox_frags:SetPosition(width / 2 - self.textbox_frags:GetWidth() / 2, self.label_frags:GetTop() + 35)
	self.textbox_frags:SetMultiline(false)

	self.label_error_message = Turbine.UI.Label()
	self.label_error_message:SetParent(self)
	self.label_error_message:SetSize(width - 40, 60)
	self.label_error_message:SetForeColor(Turbine.UI.Color.Red)
	self.label_error_message:SetPosition(width / 2 - self.label_error_message:GetWidth() / 2, self.textbox_frags:GetTop() + 25)
	self.label_error_message:SetTextAlignment(Turbine.UI.ContentAlignment.TopCenter)
	self.label_error_message:SetFont(Turbine.UI.Lotro.Font.TrajanPro15)
	self.label_error_message:SetVisible(false)

	self.button_confirm = Turbine.UI.Lotro.Button()
	self.button_confirm:SetParent(self)
	self.button_confirm:SetWidth(width - 140)
	self.button_confirm:SetPosition(width / 2 - self.button_confirm:GetWidth() - 5, self.textbox_frags:GetTop() + 30)
	self.button_confirm:SetText(L.Window_Confirm)

	self.button_cancel = Turbine.UI.Lotro.Button()
	self.button_cancel:SetParent(self)
	self.button_cancel:SetWidth(width - 140)
	self.button_cancel:SetPosition(width / 2 + 5, self.textbox_frags:GetTop() + 30)
	self.button_cancel:SetText(L.Window_Cancel)

	self.button_cancel.Click = function()
		self:Close()
	end

	self.button_confirm.Click = function()
		self:Set()
	end

	self.KeyDown = function(sender, args)
		if args.Action == Turbine.UI.Lotro.Action.Escape then
			self:SetVisible(false)
		end
	end
end

function InitWindowFrags:Open()
	self.label_error_message:SetVisible(false)
	self:SetHeight(135)
	self.button_confirm:SetPosition(self:GetWidth() / 2 - self.button_confirm:GetWidth() - 5, self.textbox_frags:GetTop() + 30)
	self.button_cancel:SetPosition(self:GetWidth() / 2 + 5, self.textbox_frags:GetTop() + 30)
	self.textbox_frags:SetText(data.numbers.frags_total)
	self:SetVisible(true)
end

function InitWindowFrags:Set()
	local parsed_text = string.gsub(self.textbox_frags:GetText(), "%D*", "")
	if tonumber(parsed_text) == nil then
		self:SetHeight(150)
		self.button_confirm:SetPosition(self:GetWidth() / 2 - self.button_confirm:GetWidth() - 5, self.label_error_message:GetTop() + 20)
		self.button_cancel:SetPosition(self:GetWidth() / 2 + 5, self.label_error_message:GetTop() + 20)
		self.label_error_message:SetText(L.Init_Invalid_Input)
		self.label_error_message:SetVisible(true)
		self.textbox_frags:SetText(parsed_text)
		return
	end

	if (tonumber(parsed_text) > 1000000) then
		parsed_text = "1000000"
	end

	data.numbers.frags_total = tonumber(parsed_text)

	self:SetVisible(false)
	OverviewSettingsPanel:SetVisible(true)
	OverviewWindow.panel:SetVisible(not storage.minimized)
	SecondaryWindow:SetVisible((not storage.minimized) and (not storage.secondaryMinimized))
	RecentHitsWindow:SetVisible((not storage.minimized) and (not storage.HitWindowMinimized))
	OverviewWindow:SetVisible(true)
	OverviewWindow:Update()
end

function InitWindowFrags:DataOutOfSync()
	self.label_error_message:SetText(L.Strings_Data_Out_Of_Sync)
	self.label_error_message:SetVisible(true)
	self:SetHeight(180)
	self.button_confirm:SetPosition(self:GetWidth() / 2 - self.button_confirm:GetWidth() - 5, self.label_error_message:GetTop() + 50)
	self.button_cancel:SetPosition(self:GetWidth() / 2 + 5, self.label_error_message:GetTop() + 50)
	self:SetVisible(true)
end

function InitWindowFrags:Close()
	self:SetVisible(false)
end