Settings = class(Turbine.UI.Window)

function Settings:Constructor()
	local width = 410
	local height = 490

	Turbine.UI.Lotro.Window.Constructor(self)

	self:SetSize(width, height)
	self:SetPosition(data.numbers.settingsWin_x, data.numbers.settingsWin_y)
	self:SetZOrder(1)
	self:SetText(L.Options_Header)
	self:SetWantsKeyEvents(true)

	-- Data Settings
	self.label_data_settings = Turbine.UI.Label()
	self.label_data_settings:SetParent(self)
	self.label_data_settings:SetSize(width - 40, 20)
	self.label_data_settings:SetPosition(width / 2 - self.label_data_settings:GetWidth() / 2, 35)
	self.label_data_settings:SetForeColor(Default_Font_Color)
	self.label_data_settings:SetFont(Turbine.UI.Lotro.Font.TrajanPro18)
	self.label_data_settings:SetFontStyle(Turbine.UI.FontStyle.Outline)
	self.label_data_settings:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter)
	self.label_data_settings:SetText(L.Options_Data_Settings)

	self.points_update_button = Turbine.UI.Lotro.Button()
	self.points_update_button:SetText(L.Options_Update_Points)
	self.points_update_button:SetWidth(width - 235)
	self.points_update_button:SetPosition(width / 2 - self.points_update_button:GetWidth() - 15, self.label_data_settings:GetTop() + 25)
	self.points_update_button:SetParent(self)

	self.frags_update_button = Turbine.UI.Lotro.Button()
	self.frags_update_button:SetText(L.Options_Update_Frags)
	self.frags_update_button:SetWidth(width - 235)
	self.frags_update_button:SetPosition(width / 2 + 5, self.label_data_settings:GetTop() + 25)
	self.frags_update_button:SetParent(self)

	-- Display Settings
	self.label_display_settings = Turbine.UI.Label()
	self.label_display_settings:SetParent(self)
	self.label_display_settings:SetSize(width - 40, 20)
	self.label_display_settings:SetPosition(width / 2 - self.label_display_settings:GetWidth() / 2, self.points_update_button:GetTop() + 30)
	self.label_display_settings:SetForeColor(Default_Font_Color)
	self.label_display_settings:SetFont(Turbine.UI.Lotro.Font.TrajanPro18)
	self.label_display_settings:SetFontStyle(Turbine.UI.FontStyle.Outline)
	self.label_display_settings:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter)
	self.label_display_settings:SetText(L.Options_Display_Settings)

	self.statistics_checkbox = Turbine.UI.Lotro.CheckBox()
	self.statistics_checkbox:SetParent(self)
	self.statistics_checkbox:SetText(" " .. L.Options_Show_Stats)
	self.statistics_checkbox:SetFont(Turbine.UI.Lotro.Font.TrajanPro14)
	self.statistics_checkbox:SetForeColor(Default_Font_Color)
	self.statistics_checkbox:SetSize(width / 2 - 20, 16)
	self.statistics_checkbox:SetPosition(width / 2 - self.statistics_checkbox:GetWidth(), self.label_display_settings:GetTop() + 25)
	self.statistics_checkbox:SetChecked(not storage.stats_hidden)

	self.bonus_checkbox = Turbine.UI.Lotro.CheckBox()
	self.bonus_checkbox:SetParent(self)
	self.bonus_checkbox:SetText(" " .. L.Options_Bonus)
	self.bonus_checkbox:SetFont(Turbine.UI.Lotro.Font.TrajanPro14)
	self.bonus_checkbox:SetForeColor(Default_Font_Color)
	self.bonus_checkbox:SetSize(width / 2 - 20, 16)
	self.bonus_checkbox:SetPosition(width / 2 + 5, self.label_display_settings:GetTop() + 25)
	self.bonus_checkbox:SetChecked(not storage.show_bonus_disabled)

	self.outpost_checkbox = Turbine.UI.Lotro.CheckBox()
	self.outpost_checkbox:SetParent(self)
	self.outpost_checkbox:SetText(" " .. L.Options_OPs)
	self.outpost_checkbox:SetFont(Turbine.UI.Lotro.Font.TrajanPro14)
	self.outpost_checkbox:SetForeColor(Default_Font_Color)
	self.outpost_checkbox:SetSize(width / 2 - 20, 16)
	self.outpost_checkbox:SetPosition(width / 2 - self.outpost_checkbox:GetWidth(), self.statistics_checkbox:GetTop() + 25)
	self.outpost_checkbox:SetChecked(not storage.show_outpost_disabled)

	self.keep_checkbox = Turbine.UI.Lotro.CheckBox()
	self.keep_checkbox:SetParent(self)
	self.keep_checkbox:SetText(" " .. L.Options_Keeps)
	self.keep_checkbox:SetFont(Turbine.UI.Lotro.Font.TrajanPro14)
	self.keep_checkbox:SetForeColor(Default_Font_Color)
	self.keep_checkbox:SetSize(width / 2 - 20, 16)
	self.keep_checkbox:SetPosition(width / 2 + 5, self.bonus_checkbox:GetTop() + 25)
	self.keep_checkbox:SetChecked(not storage.show_keep_disabled)

	self.dof_checkbox = Turbine.UI.Lotro.CheckBox()
	self.dof_checkbox:SetParent(self)
	self.dof_checkbox:SetText(" " .. L.Options_DOF)
	self.dof_checkbox:SetFont(Turbine.UI.Lotro.Font.TrajanPro14)
	self.dof_checkbox:SetForeColor(Default_Font_Color)
	self.dof_checkbox:SetSize(width / 2 - 20, 16)
	self.dof_checkbox:SetPosition(width / 2 - self.dof_checkbox:GetWidth(), self.outpost_checkbox:GetTop() + 25)
	self.dof_checkbox:SetChecked(not storage.show_dof_disabled)

	self.relic_checkbox = Turbine.UI.Lotro.CheckBox()
	self.relic_checkbox:SetParent(self)
	self.relic_checkbox:SetText(" " .. L.Options_Relic)
	self.relic_checkbox:SetFont(Turbine.UI.Lotro.Font.TrajanPro14)
	self.relic_checkbox:SetForeColor(Default_Font_Color)
	self.relic_checkbox:SetSize(width / 2 - 20, 16)
	self.relic_checkbox:SetPosition(width / 2 + 5, self.keep_checkbox:GetTop() + 25)
	self.relic_checkbox:SetChecked(not storage.show_relic_disabled)

	self.on_checkbox = Turbine.UI.Lotro.CheckBox()
	self.on_checkbox:SetParent(self)
	self.on_checkbox:SetText(" " .. L.Options_ON)
	self.on_checkbox:SetFont(Turbine.UI.Lotro.Font.TrajanPro14)
	self.on_checkbox:SetForeColor(Default_Font_Color)
	self.on_checkbox:SetSize(width / 2 - 20, 16)
	self.on_checkbox:SetPosition(width / 2 - self.on_checkbox:GetWidth(), self.dof_checkbox:GetTop() + 25)
	self.on_checkbox:SetChecked(not storage.show_on_disabled)

	-- Alert Settings
	self.label_alert_settings = Turbine.UI.Label()
	self.label_alert_settings:SetParent(self)
	self.label_alert_settings:SetSize(width - 40, 20)
	self.label_alert_settings:SetPosition(width / 2 - self.label_alert_settings:GetWidth() / 2, self.on_checkbox:GetTop() + 27)
	self.label_alert_settings:SetForeColor(Default_Font_Color)
	self.label_alert_settings:SetFont(Turbine.UI.Lotro.Font.TrajanPro18)
	self.label_alert_settings:SetFontStyle(Turbine.UI.FontStyle.Outline)
	self.label_alert_settings:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter)
	self.label_alert_settings:SetText(L.Options_Alert_Settings)

	self.track_warning_checkbox = Turbine.UI.Lotro.CheckBox()
	self.track_warning_checkbox:SetParent(self)
	self.track_warning_checkbox:SetText(" " .. L.Options_Track_Warning)
	self.track_warning_checkbox:SetFont(Turbine.UI.Lotro.Font.TrajanPro14)
	self.track_warning_checkbox:SetForeColor(Default_Font_Color)
	self.track_warning_checkbox:SetSize(width / 2 - 20, 16)
	self.track_warning_checkbox:SetPosition(width / 2 - self.track_warning_checkbox:GetWidth(), self.label_alert_settings:GetTop() + 25)
	self.track_warning_checkbox:SetChecked(not storage.track_warning_disabled)

	self.stealth_alert_checkbox = Turbine.UI.Lotro.CheckBox()
	self.stealth_alert_checkbox:SetParent(self)
	self.stealth_alert_checkbox:SetText(" " .. L.Options_StealthAlert)
	self.stealth_alert_checkbox:SetFont(Turbine.UI.Lotro.Font.TrajanPro14)
	self.stealth_alert_checkbox:SetForeColor(Default_Font_Color)
	self.stealth_alert_checkbox:SetSize(width / 2 - 20, 16)
	self.stealth_alert_checkbox:SetPosition(width / 2 + 5, self.label_alert_settings:GetTop() + 25)
	self.stealth_alert_checkbox:SetChecked(not storage.stealth_alert_disabled)

	self.yourfrag_alert_checkbox = Turbine.UI.Lotro.CheckBox()
	self.yourfrag_alert_checkbox:SetParent(self)
	self.yourfrag_alert_checkbox:SetText(" " .. L.Options_YourFragAlert)
	self.yourfrag_alert_checkbox:SetFont(Turbine.UI.Lotro.Font.TrajanPro14)
	self.yourfrag_alert_checkbox:SetForeColor(Default_Font_Color)
	self.yourfrag_alert_checkbox:SetSize(width / 2 - 20, 16)
	self.yourfrag_alert_checkbox:SetPosition(width / 2 - self.yourfrag_alert_checkbox:GetWidth(), self.track_warning_checkbox:GetTop() + 25)
	self.yourfrag_alert_checkbox:SetChecked(not storage.yourfrag_alert_disabled)

	self.lootbox_alert_checkbox = Turbine.UI.Lotro.CheckBox()
	self.lootbox_alert_checkbox:SetParent(self)
	self.lootbox_alert_checkbox:SetText(" " .. L.Options_LootboxAlert)
	self.lootbox_alert_checkbox:SetFont(Turbine.UI.Lotro.Font.TrajanPro14)
	self.lootbox_alert_checkbox:SetForeColor(Default_Font_Color)
	self.lootbox_alert_checkbox:SetSize(width / 2 - 20, 16)
	self.lootbox_alert_checkbox:SetPosition(width / 2 + 5, self.track_warning_checkbox:GetTop() + 25)
	self.lootbox_alert_checkbox:SetChecked(not storage.lootbox_alert_disabled)

	self.battletask_warning_checkbox = Turbine.UI.Lotro.CheckBox()
	self.battletask_warning_checkbox:SetParent(self)
	self.battletask_warning_checkbox:SetText(" " .. L.Options_Battle_Task_Warning)
	self.battletask_warning_checkbox:SetFont(Turbine.UI.Lotro.Font.TrajanPro14)
	self.battletask_warning_checkbox:SetForeColor(Default_Font_Color)
	self.battletask_warning_checkbox:SetSize(width / 2 - 20, 16)
	self.battletask_warning_checkbox:SetPosition(width / 2 - self.battletask_warning_checkbox:GetWidth(), self.yourfrag_alert_checkbox:GetTop() + 25)
	self.battletask_warning_checkbox:SetChecked(not storage.battletask_warning_disabled)

	self.comms_warning_checkbox = Turbine.UI.Lotro.CheckBox()
	self.comms_warning_checkbox:SetParent(self)
	self.comms_warning_checkbox:SetText(" " .. L.Options_Commendation_Warning)
	self.comms_warning_checkbox:SetFont(Turbine.UI.Lotro.Font.TrajanPro14)
	self.comms_warning_checkbox:SetForeColor(Default_Font_Color)
	self.comms_warning_checkbox:SetSize(width / 2 - 20, 16)
	self.comms_warning_checkbox:SetPosition(width / 2 + 5, self.lootbox_alert_checkbox:GetTop() + 25)
	self.comms_warning_checkbox:SetChecked(not storage.comms_warning_disabled)

	-- Secondary Windows
	self.label_secondary_settings = Turbine.UI.Label()
	self.label_secondary_settings:SetParent(self)
	self.label_secondary_settings:SetSize(width - 40, 20)
	self.label_secondary_settings:SetPosition(width / 2 - self.label_secondary_settings:GetWidth() / 2, self.comms_warning_checkbox:GetTop() + 27)
	self.label_secondary_settings:SetForeColor(Default_Font_Color)
	self.label_secondary_settings:SetFont(Turbine.UI.Lotro.Font.TrajanPro18)
	self.label_secondary_settings:SetFontStyle(Turbine.UI.FontStyle.Outline)
	self.label_secondary_settings:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter)
	self.label_secondary_settings:SetText(L.Options_Other_Windows_Settings)

	self.recent_kills_checkbox = Turbine.UI.Lotro.CheckBox()
	self.recent_kills_checkbox:SetParent(self)
	self.recent_kills_checkbox:SetText(" " .. L.Options_Recent_Kills)
	self.recent_kills_checkbox:SetFont(Turbine.UI.Lotro.Font.TrajanPro14)
	self.recent_kills_checkbox:SetForeColor(Default_Font_Color)
	self.recent_kills_checkbox:SetSize(width / 2 - 20, 16)
	self.recent_kills_checkbox:SetPosition(width / 2 - self.recent_kills_checkbox:GetWidth(), self.label_secondary_settings:GetTop() + 25)
	self.recent_kills_checkbox:SetChecked(not storage.show_recent_kills_disabled)

	self.recent_hits_checkbox = Turbine.UI.Lotro.CheckBox()
	self.recent_hits_checkbox:SetParent(self)
	self.recent_hits_checkbox:SetText(" " .. L.Options_Recent_Hits)
	self.recent_hits_checkbox:SetFont(Turbine.UI.Lotro.Font.TrajanPro14)
	self.recent_hits_checkbox:SetForeColor(Default_Font_Color)
	self.recent_hits_checkbox:SetSize(width / 2 - 20, 16)
	self.recent_hits_checkbox:SetPosition(width / 2 + 5, self.label_secondary_settings:GetTop() + 25)
	self.recent_hits_checkbox:SetChecked(not storage.show_recent_hits_disabled)

	-- Other Settings
	self.label_other_settings = Turbine.UI.Label()
	self.label_other_settings:SetParent(self)
	self.label_other_settings:SetSize(width - 40, 20)
	self.label_other_settings:SetPosition(width / 2 - self.label_other_settings:GetWidth() / 2, self.recent_kills_checkbox:GetTop() + 27)
	self.label_other_settings:SetForeColor(Default_Font_Color)
	self.label_other_settings:SetFont(Turbine.UI.Lotro.Font.TrajanPro18)
	self.label_other_settings:SetFontStyle(Turbine.UI.FontStyle.Outline)
	self.label_other_settings:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter)
	self.label_other_settings:SetText(L.Options_Other_Settings)

	self.label_reset_time = Turbine.UI.Label()
	self.label_reset_time:SetParent(self)
	self.label_reset_time:SetSize(width / 2 - 20, 16)
	self.label_reset_time:SetPosition(width / 2 - self.label_reset_time:GetWidth(), self.label_other_settings:GetTop() + 25)
	self.label_reset_time:SetFont(Turbine.UI.Lotro.Font.TrajanPro14)
	self.label_reset_time:SetForeColor(Default_Font_Color)
	self.label_reset_time:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft)
	self.label_reset_time:SetText(L.Options_Daily_Reset_Time)

	self.reset_time_timer = Turbine.UI.Label()
	self.reset_time_timer:SetParent(self)
	self.reset_time_timer:SetSize(35, 20)
	self.reset_time_timer:SetPosition(width / 2 - 25, self.label_other_settings:GetTop() + 23)
	self.reset_time_timer:SetForeColor(Default_Font_Color)
	self.reset_time_timer:SetFont(Turbine.UI.Lotro.Font.TrajanPro16)
	self.reset_time_timer:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter)
	self.reset_time_timer:SetText(data.numbers.resettime .. ":00")

	self.reset_time_plus = Turbine.UI.Button()
	self.reset_time_plus:SetParent(self)
	self.reset_time_plus:SetSize(10, 10)
	self.reset_time_plus:SetPosition(self.reset_time_timer:GetLeft() + self.reset_time_timer:GetWidth(), self.reset_time_timer:GetTop())
	self.reset_time_plus:SetForeColor(Default_Font_Color)
	self.reset_time_plus:SetFont(Turbine.UI.Lotro.Font.Verdana10)
	self.reset_time_plus:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter)
	self.reset_time_plus:SetText("+")
	self.reset_time_plus.MouseDown = function()
		local time_value = tonumber(string.match(self.reset_time_timer:GetText(), "(%d+):00"))
		local new_value = time_value + 1
		if new_value == 24 then
			new_value = 0
		end
		data.numbers.resettime = new_value
		self.reset_time_timer:SetText(new_value .. ":00")
	end

	self.reset_time_minus = Turbine.UI.Button()
	self.reset_time_minus:SetParent(self)
	self.reset_time_minus:SetSize(10, 10)
	self.reset_time_minus:SetPosition(self.reset_time_timer:GetLeft() + self.reset_time_timer:GetWidth(), self.reset_time_timer:GetTop() + 10)
	self.reset_time_minus:SetForeColor(Default_Font_Color)
	self.reset_time_minus:SetFont(Turbine.UI.Lotro.Font.Verdana10)
	self.reset_time_minus:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter)
	self.reset_time_minus:SetText("-")
	self.reset_time_minus.MouseDown = function()
		local time_value = tonumber(string.match(self.reset_time_timer:GetText(), "(%d+):00"))
		local new_value = time_value - 1
		if new_value == -1 then
			new_value = 23
		end
		data.numbers.resettime = new_value
		self.reset_time_timer:SetText(new_value .. ":00")
	end

	self.label_slider = Turbine.UI.Label()
	self.label_slider:SetParent(self)
	self.label_slider:SetSize(width, 30)
	self.label_slider:SetPosition(width / 2 - self.label_slider:GetWidth() / 2 + 20, self.label_reset_time:GetTop() + 15)
	self.label_slider:SetFont(Turbine.UI.Lotro.Font.TrajanPro14)
	self.label_slider:SetForeColor(Default_Font_Color)
	self.label_slider:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft)
	self.label_slider:SetText(L.Options_Window_Size)

	self.slider_bar = Turbine.UI.Label()
	self.slider_bar:SetParent(self)
	self.slider_bar:SetSize(175, 15)
	self.slider_bar:SetBlendMode(Turbine.UI.BlendMode.AlphaBlend)
	self.slider_bar:SetBackground("PvMP_Plus/Resources/Settings/slider_bar.tga")
	self.slider_bar:SetPosition(width / 2 - 20, self.label_reset_time:GetTop() + 22)
	self.slider_bar.MouseDown = function(sender, args)
		local newLeft = args.X + width / 2 + 20 - self.slider:GetWidth() / 2
		if newLeft < width / 2 - 20 then
			newLeft = width / 2 - 20
		end
		if newLeft > width / 2 + 139 then
			newLeft = width / 2 + 139
		end
		self.slider:SetPosition(newLeft, self.slider:GetTop())
		data.numbers.overview_width_ratio = (newLeft + 20 - width / 2) / (self.slider_bar:GetWidth() - self.slider:GetWidth())
		OverviewWindow:UpdatePosition()
	end

	self.slider = Turbine.UI.Control()
	self.slider:SetParent(self)
	self.slider:SetSize(16, 16)
	self.slider:SetBlendMode(Turbine.UI.BlendMode.AlphaBlend)
	self.slider:SetBackground(0x41007e0c)
	self.slider:SetPosition(width / 2 - 20 + data.numbers.overview_width_ratio * (self.slider_bar:GetWidth() - self.slider:GetWidth()), self.label_reset_time:GetTop() + 22)

	self.slider.MouseDown = function(sender, args)
		self.MoveX = args.X
		self.MoveY = args.Y
		self.sliding = true
	end

	self.slider.MouseUp = function(sender, args)
		self.sliding = false
	end

	self.slider.MouseMove = function(sender, args)
		if self.sliding then
			local newLeft = self.slider:GetLeft() - (self.MoveX - args.X)
			if newLeft < width / 2 - 20 then
				newLeft = width / 2 - 20
			end
			if newLeft > width / 2 + 139 then
				newLeft = width / 2 + 139
			end
			self.slider:SetPosition(newLeft, self.slider:GetTop())
			data.numbers.overview_width_ratio =
				(newLeft + 20 - width / 2) / (self.slider_bar:GetWidth() - self.slider:GetWidth())
			OverviewWindow:UpdatePosition()
		end
	end

	-- Reset Settings
	self.reset_button = Turbine.UI.Lotro.Button()
	self.reset_button:SetText(L.Options_Reset)
	self.reset_button:SetWidth(width - 40)
	self.reset_button:SetPosition(width / 2 - self.reset_button:GetWidth() / 2, self.label_slider:GetTop() + 40)
	self.reset_button:SetParent(self)

	self.battletask_warning_checkbox.CheckedChanged = function()
		storage.battletask_warning_disabled = not storage.battletask_warning_disabled
	end

	self.comms_warning_checkbox.CheckedChanged = function()
		storage.comms_warning_disabled = not storage.comms_warning_disabled
	end

	self.statistics_checkbox.CheckedChanged = function()
		OverviewWindow:ToggleStatsVisibility()
	end

	self.track_warning_checkbox.CheckedChanged = function()
		storage.track_warning_disabled = not storage.track_warning_disabled
	end

	self.lootbox_alert_checkbox.CheckedChanged = function()
		storage.lootbox_alert_disabled = not storage.lootbox_alert_disabled
	end

	self.yourfrag_alert_checkbox.CheckedChanged = function()
		storage.yourfrag_alert_disabled = not storage.yourfrag_alert_disabled
	end

	self.stealth_alert_checkbox.CheckedChanged = function()
		storage.stealth_alert_disabled = not storage.stealth_alert_disabled
	end

	self.bonus_checkbox.CheckedChanged = function()
		storage.show_bonus_disabled = not storage.show_bonus_disabled
		OverviewWindow.label_bonus:SetVisible(not storage.show_bonus_disabled)
	end

	self.outpost_checkbox.CheckedChanged = function()
		storage.show_outpost_disabled = not storage.show_outpost_disabled
		OverviewWindow.outpost_1:SetVisible(not storage.show_outpost_disabled)
		OverviewWindow.outpost_1_text:SetVisible(not storage.show_outpost_disabled)
		OverviewWindow.outpost_2:SetVisible(not storage.show_outpost_disabled)
		OverviewWindow.outpost_2_text:SetVisible(not storage.show_outpost_disabled)
		OverviewWindow.outpost_3:SetVisible(not storage.show_outpost_disabled)
		OverviewWindow.outpost_3_text:SetVisible(not storage.show_outpost_disabled)
		OverviewWindow.outpost_4:SetVisible(not storage.show_outpost_disabled)
		OverviewWindow.outpost_4_text:SetVisible(not storage.show_outpost_disabled)
	end

	self.keep_checkbox.CheckedChanged = function()
		storage.show_keep_disabled = not storage.show_keep_disabled
		UpdateKeeps()
	end

	self.dof_checkbox.CheckedChanged = function()
		storage.show_dof_disabled = not storage.show_dof_disabled
	end

	self.relic_checkbox.CheckedChanged = function()
		storage.show_relic_disabled = not storage.show_relic_disabled
	end

	self.on_checkbox.CheckedChanged = function()
		storage.show_on_disabled = not storage.show_on_disabled
	end

	self.recent_kills_checkbox.CheckedChanged = function()
		storage.show_recent_kills_disabled = not storage.show_recent_kills_disabled
		SecondaryWindow:ShowRecentKills(not storage.show_recent_kills_disabled)
	end

	self.recent_hits_checkbox.CheckedChanged = function()
		storage.show_recent_hits_disabled = not storage.show_recent_hits_disabled
		RecentHitsWindow:ShowRecentHits(not storage.show_recent_hits_disabled)
	end

	self.points_update_button.Click = function()
		InitWindowPoints:Open()
	end

	self.frags_update_button.Click = function()
		InitWindowFrags:Open()
	end

	self.reset_button.Click = function()
		ResetWindow:Open()
	end

	self.KeyDown = function(sender, args)
		if args.Action == Turbine.UI.Lotro.Action.Escape then
			self:SetVisible(false)
		end
	end

	self.PositionChanged = function(sender, args)
		data.numbers.settingsWin_x = self:GetLeft()
		data.numbers.settingsWin_y = self:GetTop()
	end
end

function Settings:Open()
	self:SetVisible(true)
end